/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}



/* * {
  outline: 1px solid red;
} */


/* Remove default margin */
body,h1,h2,h3,h4,p,figure,blockquote,dl,dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  /* line-height: 1.5; */
  font-family: 'Roboto', sans-serif;
  font-family: 'Roboto Condensed', sans-serif;
  background-color: #F5F5F5;
}

/* A elements that don't have a class get default styles */
/* a:not([class]) {
  text-decoration-skip-ink: auto;
} */

/* Make images easier to work with */
/* img,
picture {
  max-width: 100%;
  display: block;
} */

/* Inherit fonts for inputs and buttons */
/* input, */
/* button, */
textarea,
select {
  font: inherit;
}

.header{
    height: 70px;
    background-color: #ffe4c4;
    font-family: 'Josefin Sans', sans-serif !important;
    font-size: 1.4em;
}

.header > h1{
  height: 100%;
  padding-top: 15px;
  text-align: center;
}

a{
  text-decoration: none;
  color: unset;
}

a:hover{
  color: #468CCF;
  resize: none;
}

.navBar{
  position: sticky;
  background-color:  rgb(187, 187, 182);
  position: sticky;
  top: 0px;
  margin-bottom: 20px;
  box-shadow: 0px 11px 13px 2px rgb(187, 187, 182);
  z-index: 100;
}

.navBar ul{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    padding: 10px;
    list-style: none;
    height: 35px;
    top: 0px;
    margin-top: 0px;
}

.navBar li{
  width: 70px;
  user-select: none;
}


.footer{
  display: inline-block !important;
  bottom: 0px;
  background-color: #e4e4e4;
  text-align: right;
  bottom: 0px;
  position: sticky;
  font-size: small;
  z-index: 2;
  width: 100%;
  bottom: env(safe-area-inset-bottom);
}

.container{
  display: flex;
  justify-content: center;
  width: 100%;
  margin-bottom: 25px;
}

main{
  min-width: 540px;
  max-width: 900px;
  
  /* background-color: rgb(222, 135, 135); */
  padding: 2px 5px 2px;
  margin-bottom: 25px;
  padding: 0 15px;
}

#SticktoTop {
  position: sticky;
  top: 40px;
  background-color: #F5F5F5;
  z-index: 100 !important;
}

/* 
************************************************************************
                        Table Settings
************************************************************************
*/
tr:nth-child(even) {background-color: #9ecde2;}
tr:nth-child(odd) {background-color: rgb(231, 232, 247);}
tr:last-child td:last-child { border-bottom-right-radius: 15px; }
tr:last-child td:first-child { border-bottom-left-radius: 15px; }


.orderTable{
  margin: auto;
  line-height: 20px;
  border: 0px;
  padding: 0px;
  border-spacing: 0px;
  font-size: small;
}

.daySelect{
  list-style: none;
  width: 100%;
  position:relative;
  margin-top: 10px;
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
  z-index: 1000;
}

.day{
  font-size: 0.8em;
  font-weight: 600;
  padding: 2px;
  width: 75px;
  height: 35px;
  background-color: #4ec5fc;
  border-radius: 5px;
  border-style: solid;
  border-color: #000;
  border-width: 0.5px;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 200;
}

.day:hover{
  background-color: #2bff60;
}

.top20Table{
  margin: auto;
  line-height: 20px;
  border: 0px;
  padding: 0px;
  border-spacing: 0px;
  font-size: small;
  width: 100%;
}

.top20Table th{
  background-color: #000;
  color: #fff;
  height: 25px;
  text-align: left;
  padding-left: 5px;
}

.shopsTable{
  min-width: 100%;
  line-height: 20px;
  border: 0px;
  padding: 0px;
  border-spacing: 0px;
  font-size: small;
  margin-bottom: 25px;
}

.shopsInfoTable{
  min-width: 45%;
  line-height: 20px;
  border: 0px;
  padding: 0px;
  border-spacing: 0px;
  font-size: small;
  margin-bottom: 25px;
  flex-grow: 1;
}

.shopsInfoTable:nth-child(1) th {background-color: #000000; height: 27.5px; color: #ffffff}
.shopsInfoTable:nth-child(2) th {background-color: #009439; height: 27.5px; color: #000}


.padleft{
  margin-left: 10px;
}

.shopsTable th{
  background-color: #000;
  color: pink;
}
.orderTable th{
  background-color: #000;
  color: #fff;
  height: 25px;
  text-align: left;
  padding-left: 5px;
}

.pCode{
  width: 75;
}

.description{
  min-width: 200px;
}

.sales{
  font-weight: 600;
  text-align: center;
  width: 50px;
}

#light{
  font-weight: 200;
}
.retail{
  font-weight: 600;
  width: 50px;
}

.value{
  font-weight: 400;
  font-size: 0.8em;
  width: 60px;
}

.group{
  font-weight: 400;
  font-size: 0.8em;
  width: 90px;
  white-space: nowrap; 
  overflow: hidden;
  text-overflow: clip; 
}

.tablev2 th{
  background-color: #009439 !important;
}

.supplierContainer{
  display: flex;
  max-width: 100%;
}

/* Default column widths */
#shopColumn{
  min-width: 50px;
  padding-left: 5px;
}

#shopColumn, td{
  min-width: 40px;
  padding-left: 5px;
}

#shopName{
  min-width: 120px;
}

#shopManager{
  min-width: 50px;
  padding-left: 5px;
}

#shopPhone{
  min-width: 50px;
  padding-left: 5px;
}

#shopDefault{
  min-width: 50px;
  padding-left: 5px;
}

.StkSales_Container{
  display: flex;
  justify-content: center;
  padding: 0px !important;
  flex-grow: 1;
}

.StkSales_Container .sales{
  flex-grow: 1;
}

.StkSales_Container .stock{
  flex-grow: 2;
}
#tableFillWidth{
  width: 100%;
}

.orderDayContain{
  display: flex;
}

.orderDayColumn{
  min-width: 370px;
}
.orderRussells{
  background-color: #fe3c3c;
  border-radius: 5px;
  padding-left: 5px;
  padding-right: 5px;
  width: 80px;
  margin-left: 5px;
  margin-right: 5px;
  color: white;
}

.orderMcCabes{
  background-color: #009439;
  border-radius: 5px;
  width: 80px;
  margin-left: 5px;
  margin-right: 5px;
  padding-left: 5px;
  padding-right: 5px;
  color: white;
  
}

.orderBond{
  background-color: #d09e20;
  border-radius: 5px;
  padding-left: 5px;
  padding-right: 5px;
  width: 80px;
  margin-left: 5px;
  margin-right: 5px;
}

.orderTennNI{
  background-color: #91ff00;
  border-radius: 5px;
  padding-left: 5px;
  padding-right: 5px;
  width: 80px;
  margin-left: 5px;
  margin-right: 5px;
  padding-left: 5px;
  padding-right: 5px;
}

.orderDBass{
  background-color: #3a6600;
  border-radius: 5px;
  padding-left: 5px;
  padding-right: 5px;
  width: 80px;
  margin-left: 5px;
  margin-right: 5px;
  padding-left: 5px;
  color: white;
  padding-right: 5px;
}


/* Border radius for Headers */
th:first-of-type{
  border-top-left-radius: 10px;
}

th:last-of-type{
  border-top-right-radius: 10px;
}

/* Table hover highligts */
tr:hover{
  background-color: hotpink;
}

.formInput input{
  background-color: inherit;
  border: 0px;
  width: 150px;
  height: 30px;
}

.staffUpdateContainer{
  background-color: #15d798;
  margin: 10px;
  height: 50px;
  border-radius: 15px;
  display: flex;
  align-items: center;
  }

/* 
************************************************************************
                        CG Buttons
************************************************************************
*/

.spiritButton {
  color: #2bff60 !important;
  margin-left: 5px;
  padding-top: 2px;
  font-size: 0.8rem;
  font-weight: 600;
  max-width: 85px;
  margin-top: 5px;
  text-shadow: 1px 1px 2px #7149DE;
  box-shadow: 1px 2px 4px #BEE2F9;
  background-size: cover;
  padding: 3px 7px;
  border-radius: 5px;
  border: 1px solid #3866A3;
  background: linear-gradient(to top, #63B8EE, #468CCF);
  -webkit-text-stroke: 0.2px black;
}

.Spiritbutton:hover {
  color: #2BFF32 !important;
  opacity: 1 !important;
}

.cgBar{
  background-color: transparent !important;
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  padding: 1px;
}


#beer{
  background: #EEAEDF;
  background:linear-gradient(to bottom, #fc8d83 5%, #e4685d 100%);
}

#usa{
  background-image: url("Articles/images/us.png");
  background-size: cover;
  background-position: center;
  opacity: 0.6;
}

#argentina{
  background-image: url("Articles/images/ar.png");
  background-size: cover;
  background-position: center;
  opacity: 0.6;
}
.backG:hover{
  background-image: url("Articles/images/ar.png");
  opacity: 1 !important;
  background-size: cover;
  background-position: center;
}
.backG{
  opacity: 1;
  height: 25px;
  border-radius: 10px;
  margin: 2px;
  color: #2bff60;
}

#France{
  background-image: url("Articles/images/fr.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#chile{
  background-image: url("Articles/images/cl.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#Italy{
  background-image: url("Articles/images/it.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#German{
  background-image: url("Articles/images/de.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#Spain{
  background-image: url("Articles/images/es.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#Portugal{
  background-image: url("Articles/images/pt.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}

#Australia{
    background-image: url("Articles/images/au.png");
    background-position: center;
    opacity: 0.6;
    background-size: cover;
  }
#NewZealand{
  background-image: url("Articles/images/nz.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#SAfrica{
  background-image: url("Articles/images/za.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#CCola{
  background-image: url("Articles/images/c-cola2.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#Tayto{
  background-image: url("Articles/images/Tayto.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#CNelson{
  background-image: url("Articles/images/CNelson.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#DBass{
  background-image: url("Articles/images/DBass.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#TennNI{
  background-image: url("Articles/images/TennNI.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#ElfBar{
  background-image: url("Articles/images/ElfBar0.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#McCabes{
  background-image: url("Articles/images/McCabes.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}
#PRL{
  background-image: url("Articles/images/PRL.png");
  background-position: center;
  opacity: 0.6;
  background-size: cover;
}

.backG:hover{
  
  opacity: 1 !important;
  background-size: cover;
  background-position: center;
}

#showHideButton{
  width: 25px !important;
  background-color: red !important;
  min-width: 35px !important;
  padding: 0px;
  border-radius: 200px;
  margin: 0px;
}

.articleList{
  display: flex;
  z-index: 2;
  position: fixed;
  left: 2px;
  top: 150px;
  background-color: transparent;
}

/* 
************************************************************************
                        Shop card holder
************************************************************************
*/

.shopHeader{
  display: flex;
  flex: auto;
  justify-content: space-between;
}

.shopHeader > h1{
  font-size: 3em;
  line-height: 1.2;
}
.shopCardHolder{
  display: flex;
}

.cardContent{
  font-size: 0.9em;
}

#shopCard{
  background-color: #933047;
  color: #feefae;
  width: 250px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
  display: flex;
  border-radius: 35px;
  height: 75px;
  margin-left: 10px;
}

#shopCardRFD{
  background-color: #61a62f;
  width: 250px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
  display: flex;
  border-radius: 35px;
  border-bottom-right-radius: 35px;
  height: 75px;
}

.shopImg{
  justify-content: space-between;
  align-items: baseline;
}
.shopImg img {
  border-top-left-radius: 35px;
  border-bottom-left-radius: 35px;
}

.LiveDate{
  font-size: 0.8rem;
  padding-left: 40px;
}

.top20{
  display: flex;
  flex-grow: 1;
  justify-content: space-around;
}

.top20btn, .delistedbtn, .staffBtn, .cancelBtn, .updateBtn{
  background:    #15d798;
  background:    linear-gradient(#b0d715, #fb6d00);
  border-radius: 5px;
  text-shadow: 0px 0px 5px rgb(255, 255, 255);
  padding:       9px 25px;
  color:         #000000;
  display:       inline-block;
  text-align:    center;
}

.basicBtn{
  background:    #15d798;
  border-radius: 5px;
  text-shadow: 0px 0px 5px rgb(255, 255, 255);
  padding:       9px 25px;
  color:         #000000;
  text-align:    center;
}

.basicBtn:hover{
  background-color: #0d855f;
}

.cancelBtn:hover{
  background-color: #0b4634;
}

.fullWidth{
  width: 100%;
}
.cancelBtn{
  background: linear-gradient(#be2b02, #ffae00);
}

.updateBtn{
  background: linear-gradient(#15d798, #2BFF32);
}

.staffblock{
  display: flex;
  justify-content: space-around;
}

.staffBack{
  justify-content: end;
}

.staffNew{
  float: left;
  justify-content: flex-start;
}

.delistedbtn{
  background: linear-gradient(#d72815, #5b0000) !important;
  color: #fff !important;
}

.staffBtn{
  max-height: 33px;
  background: linear-gradient(#4ec5fc, #0aa702);
}

.phone{
  position:absolute;
  bottom: 20px;
  left: 5px;
  display: flex;
}

.managerName h3{
  font-size: 1.5em;
  max-height: 75px;
}

.updateManager{
  background-color: #be86ff;
  border-radius: 10px;
  padding: 10px;
  width: 540px;
  line-height: 1.5;
}

.inputField{
  background-color: #303245;
  border-radius: 8px;
  border: 0;
  box-sizing: border-box;
  color: #eee;
  font-size: 18px;
  height: 45px;
  outline: 0;
  padding: 4px 15px 0;
  width: 200px;
}

.inputField:hover{
  background-color: #535676;
}
.inputField:focus{
  background-color: #535676;
}
/* 
************************************************************************
                       Sales Tables
************************************************************************
*/

/* .top20Container{
  min-width: 100%;
  line-height: 20px;
  border: 0px;
  padding: 0px;
  border-spacing: 0px;
  font-size: small;
  margin-bottom: 25px;
} */

.top20Container{
  width: 500px;
  height: 200px;
  display: flex;
  padding-left: 10px;
}
.chartContain{
  width: 100%;
}

#weeklySalesTable-chart tr:first-child td:last-child { border-bottom-left-radius: 10px !important; border-top-left-radius: 10px !important}
#weeklySalesTable-chart tr:last-child td:last-child { border-top-right-radius: 10px !important; border-top-right-radius: 10px !important}

#weeklySalesTable-chart.column {
  height: 200px;
  max-width: 300px;
  margin: 0 auto;
  z-index: -1;
}
#weeklySalesTable-chart{
  font-size: 0.7rem;
}

.salesFigsContainer{
  font-size: 0.7rem;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  padding-left: 10px;
  margin: 0 !important;
  width: 70%;
}

.salesFigsContainer > ul{
  flex-direction: column;
  flex-grow: 1;
  transform: unset;
  top: unset;
  left: unset;
  padding-top: 5px;
  display: flex !important;
}

.salesFigsContainer li{
  display: block !important;
}



.salesTableX{
  width: 500px;
  height: 200px;
  display: flex;
  padding-left: 10px;
}


.salesFigsContainer{
  font-size: 0.7rem;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  padding-left: 10px;
  margin: 0 !important;
  width: 70%;
}

.salesFigsContainer > ul{
  flex-direction: column;
  flex-grow: 1;
  transform: unset;
  top: unset;
  left: unset;
  padding-top: 5px;
  display: flex !important;
}

#salesTableX-chart tr:first-child td:last-child { border-top-right-radius: 10px !important; border-top-right-radius: 10px !important}
#salesTableX-chart tr:last-child td:last-child { border-bottom-left-radius: 10px !important; border-top-left-radius: 10px !important}

#salesTableX-chart.column {
  height: 200px;
  margin: 0 auto;
  z-index: -1;
}



#my-chart.column {
  --labels-size: 3rem;
}

#salesTableX-chart{
  font-size: 0.7rem;
}

.StockFigures{
  font-size: 0.6rem;
  width: 100%;
  padding-left: 5px;
  padding-right: 5px;
  margin: 1px;
  /* display: flex;
  flex-direction: row; */
}

.StockFiguresY{
  font-size: 0.7rem;
  width: 100%;
  margin: 1px;
  border:none;
  outline:none;
}

.currentStkTable{
  margin: auto;
  line-height: 20px;
  border: 0px;
  padding: 0px;
  border-spacing: 0px;
  font-size: 1em;
  border-spacing: 0px;
  margin-bottom: 10px;
  width: 125px;
}
.currentStocksContainer{
  display: flex;
  border:none;
  outline:none;
}
.currentStkTable td tr{
  border:none;
  outline:none;
}


.currentStkTable th{
  background-color: #000;
  color: #fff;
  height: 25px;
  border:none;
  outline:none;
}

.top_right{
  border-top-right-radius: 10px;
}

.emptyColumn{
  background-color: #F5F5F5 !important;
  width: 1px;
  padding: 1px;
}

#a0{
  background-color: #d403036c !important;
}

.updateSucess{
  background-color: #0aa702;
  border-radius: 10px;
  padding: 10px;
  width: 540px;
}

.uploadDivArticle{
  background-color: #92bfa7;
  border-radius: 5px;
  padding: 5px;
}

.uploadDivArticle h2, .uploadDivSales h2, .uploadDivStock h2, .setStoreNo h2{
  font-weight: 400 !important;
}

.uploadDivStock{
  background-color: #6d9abe;
  border-radius: 5px;
  padding: 5px;
}

.uploadDivSales{
    background-color: #BF3FBF;
    border-radius: 5px;
    padding: 5px;
}

.setStoreNo{
background-color: #3fbfbf;
border-radius: 5px;
padding: 5px;
}

.input-group{
  align-items: center;
  margin-left: auto;
  display: flex;
  height: 50px;
}

/* //////////////////////////////////
Input Table
/////////////////////////////////////*/

.inputTable{
  border-spacing: 0px;
}

.inputTable th{
  background-color: black;
  color: pink;
  padding-left: 5px;
}

.inputTable tr{
  height: 35px;
  text-align: left;
  
}

.inputTable td{
  padding-left: 5px;
}

/* 
LowStk Styles 
*/


.lowStkTable{
  margin: auto;
  line-height: 20px;
  border: 0px;
  padding: 0px;
  border-spacing: 0px;
  font-size: 0.7em;
}

.lowStkTable th{
  background-color: #000;
  color: #fff;
  height: 25px;
  text-align: left;
  padding-left: 1px;
}

.tooltip {
  position: relative;
  display: inline-block;
  margin-left: 2px;
}
.tooltip .tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: black;
  color: #fff;
  text-align: left;
  border-radius: 6px;
  padding: 5px 0;
  top: -15px;
  left: 205%;
  padding-left: 6px;
  /* Position the tooltip */
  position: absolute;
  z-index: 1999;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}